DataFormatEntry (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.io.dataformat
Class DataFormatEntry

    java.lang.Object
      org.maltparser.core.io.dataformat.DataFormatEntry

All Implemented Interfaces:
  Comparable<DataFormatEntry>

    public class DataFormatEntry

extends Object
implements Comparable<DataFormatEntry>

DataFormatEntry is used for storing information about one column in a data format.

Since:
  1.0
Author:
  Johan Hall

Constructor Summary
`DataFormatEntry(int position, String dataFormatEntryName, String category, String type, String defaultOutput)` Creates a data format entry

Method Summary
`int` | `compareTo(DataFormatEntry obj)`
`boolean` | `equals(Object obj)`
`String` | `getCategory()` Returns the column category
`String` | `getDataFormatEntryName()` Returns the column name
`String` | `getDefaultOutput()` Returns the default output of an ignore column
`int` | `getPosition()` Returns the column position
`String` | `getType()` Return the column type
`int` | `hashCode()`
`void` | `setCategory(String category)` Sets the column category
`void` | `setDataFormatEntryName(String dataFormatEntryName)` Sets the column name
`void` | `setDefaultOutput(String defaultOutput)` Sets the default output of an ignore column
`void` | `setPosition(int position)` Sets the column position
`void` | `setType(String type)` Sets the column type
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataFormatEntry

    public DataFormatEntry(int position,
                           String dataFormatEntryName,
                           String category,
                           String type,
                           String defaultOutput)

  Creates a data format entry

  Parameters:
    `position` - column position
    `dataFormatEntryName` - column name
    `category` - column category
    `type` - column type
    `defaultOutput` - default output for a ignore column

Method Detail

### getPosition

    public int getPosition()

  Returns the column position

  Returns:
    the column position

### setPosition

    public void setPosition(int position)

  Sets the column position

  Parameters:
    `position` - column position

### getDataFormatEntryName

    public String getDataFormatEntryName()

  Returns the column name

  Returns:
    the column name

### setDataFormatEntryName

    public void setDataFormatEntryName(String dataFormatEntryName)

  Sets the column name

  Parameters:
    `dataFormatEntryName` - column name

### getCategory

    public String getCategory()

  Returns the column category

  Returns:
    the column category

### setCategory

    public void setCategory(String category)

  Sets the column category

  Parameters:
    `category` - the column category

### getType

    public String getType()

  Return the column type

  Returns:
    the column type

### setType

    public void setType(String type)

  Sets the column type

  Parameters:
    `type` - the column type

### compareTo

    public int compareTo(DataFormatEntry obj)

  Specified by:
    `compareTo` in interface `Comparable<DataFormatEntry>`

### getDefaultOutput

    public String getDefaultOutput()

  Returns the default output of an ignore column

  Returns:
    the default output of an ignore column

### setDefaultOutput

    public void setDefaultOutput(String defaultOutput)

  Sets the default output of an ignore column

  Parameters:
    `defaultOutput` - the default output of an ignore column

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.